local CommandChannel = love.thread.getChannel("command")
local HTTPChannel = love.thread.getChannel("http")
local http = require("socket.http")
local ltn12 = require("ltn12")

function update()
	local command = CommandChannel:pop()
	if command then
		local res = http.request(command.url)
		if res then
			HTTPChannel:push(res)
		end
	end
end

while true do
	update()
end